Skip to content
  • Business Validation

    Use Business Validation endpoint to search and standardize Business Demographics data (USA).

    Validate and retrieve business information.

    Request

    The service requires at least one of the following input combinations:

    Set A - a1, city, state, postal

    Set B - ff

    Set C - phone

    Set D - stock

    Set E - web

    Query
    tstring

    Transmission Reference - Serves as a unique identifier for this set of records. This allows you to match a response to a request.

    Example:t=Business Coder Test
    idstringrequired

    Required. The License Key issued by Melissa.

    Example:id={REPLACE-WITH-YOUR-LICENSE-KEY}
    colsstring

    Columns - The column names or groups to be output.

    Entering the column name will return the column. Specifying a group name will return all columns in the group.

    Delimit multiple columns with a ,.

    For example: ColumnName,ColumnName.

    • [DEFAULT] These columns are returned by default.
      • AddressLine1
      • City
      • CompanyName
      • CurrentCompanyName
      • MelissaEnterpriseKey
      • PostalCode
      • RecordID
      • Records
      • State
      • Suite
      • TotalContacts
      • TransmissionReference
      • TransmissionResults
    • [NO GROUP] These columns must be requested individually.
      • Contacts
      • EmployeesEstimate
      • LocationType
      • Phone
      • SalesEstimate
      • StockTicker
      • WebAddress
    • GrpAddressDetails
      • CountryCode
      • CountryName
      • DeliveryIndicator
      • MelissaAddressKey
      • MelissaAddressKeyBase
      • Plus4
    • GrpBusinessCodes
      • EIN
      • NAICSCode1
      • NAICSCode2
      • NAICSCode3
      • SICCode1
      • SICCode2
      • SICCode3
    • GrpBusinessDescription
      • NAICSDescription1
      • NAICSDescription2
      • NAICSDescription3
      • SICDescription1
      • SICDescription2
      • SICDescription3
    • GrpGeoCode
      • Latitude
      • Longitude
    • GrpCensus
      • CensusBlock
      • CensusTract
      • CountyFIPS
      • CountyName
      • PlaceCode
      • PlaceName
    optstring

    Options - Pass in options you want to set for the request.

    List options in the format OptionName:Parameter, with multiple options delimited with a ,. For example: OptionName:Parameter,OptionName:Parameter

    • CentricHint:< company | address | phone > - This option allows you to choose what the service will center the search around.
    • MaxContacts:< 1 | 5 | 10 > - This option changes the upper limit on the number of contacts returned. Default is 5.
    • ReturnDominantBusiness:< yes | no > - This option handles the returning of the dominant business name and demographics for a particular site when the company information is missing or does not match. Default is yes.
    • SICNAICSConfidence:< strict | loose > - This option handles how SIC Codes are returned, depending on our SIC Code confidence level. Default is loose.
    Example:opt=CentrictHint:company,MaxContacts:5
    recstring

    Record ID - Unique identifier for current record

    Example:rec=1
    compstringrequired

    Company Name - Business namespace

    Example:comp=Melissa Data
    phonestringrequired

    Phone Number - Business phone number

    Example:phone=8006354772
    a1stringrequired

    Address1 - First address line

    Example:a1=22382 Avenida Empresa
    a2string

    Address2 - Second address line (suite)

    suitestring

    Suite - Suite number

    citystringrequired

    City - City name

    Example:city=Rancho Santa Margarita
    statestringrequired

    State - State name

    Example:state=California
    postalstringrequired

    Postal - Postal code

    Example:postal=92688
    ctrystring

    Country - Country name

    Example:ctry=US
    makstring

    Melissa Address Key (MAK) - Proprietary unique key identifier

    stockstring

    Stock Ticker - Unique stock exchange symbol/abbreviation

    webstring

    Web Address - Web address/domain

    mekstring

    Melissa Enterprise Key (MEK) - Proprietary unique key identifier

    ffstring

    Free Form

    Headers
    Acceptstringrequired

    Format of the response.

    Enum:"application/json""*/*"
    Example:application/json
    Content-Typestringrequired

    Format of the request.

    Enum:"application/json""*/*"
    Example:application/json
    GET
    /doBusinessCoderUS
    curl -i -X GET \
      'https://businesscoder.melissadata.net/WEB/BusinessCoder/doBusinessCoderUS?id=%7BREPLACE-WITH-YOUR-LICENSE-KEY%7D&comp=Melissa%20Data&phone=8006354772&a1=22382%20Avenida%20Empresa&city=Rancho%20Santa%20Margarita&state=California&postal=92688' \
      -H 'Accept: application/json' \
      -H 'Content-Type: application/json'

    Responses

    A response is the result of a request. This consists of returned results codes and parsed, corrected, and/or appended request elements, depending on the options selected.

    Bodyapplication/json
    TransmissionResultsstringrequired

    Returns the generic service level result/error codes. For more information, see Business Coder Result Codes.

    TransmissionReferencestringrequired

    A pass-through of the input Transmission Reference.

    Versionstringrequired

    The current service version number.

    TotalRecordsstringrequired

    Total number of records returned in the records array.

    RecordsArray of objectsrequired

    The returned array of records.

    Response
    { "TransmissionResults": " ", "TransmissionReference": "Business Coder Test", "Version": "9.0.1.1091", "TotalRecords": "1", "Records": [ {} ] }